import * as widgets from '@jupyter-widgets/base';
export declare class Interaction extends widgets.WidgetView {
    initialize(parameters: any): void;
    render(): void;
    relayout(): void;
    remove(): void;
    mark_views: any;
    d3el: any;
    parent: any;
}
